commit:     c3d950ac1db172fdfd7c6e5091e1d608ac182e5b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 15 17:01:41 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov 15 17:27:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3d950ac

dev-python/future: Bump to 0.18.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/future/Manifest             |  1 +
 dev-python/future/future-0.18.2.ebuild | 57 ++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/future/Manifest b/dev-python/future/Manifest
index 58eaf61d973..1b1bafcb16a 100644
--- a/dev-python/future/Manifest
+++ b/dev-python/future/Manifest
@@ -1,2 +1,3 @@
 DIST future-0.17.0.tar.gz 827812 BLAKE2B 
14bfce4927386b157da91e6bbad547e21bb622f7e81997bc4ac400842cec5f7a50d7a0f5a743c4c76a7b80be0dcb6f54c06901311fd27781d89a8d2df1cce7e9
 SHA512 
f2396379e8e36753aeafdf27225c2551a31b10036f21201f1c24d63c1bb318dbd491ec977af514a19a4d477b397df9eed9711be797a64e86fc00c4692729d876
 DIST future-0.17.1.tar.gz 829119 BLAKE2B 
95210b5128d25d6c189cd38bced873f096802690e8fab5f4591c08fa913c41dc255e24af1931cad91d872a286f690f47bf6e0aa365e2f6508b03b0d305779c26
 SHA512 
50094c44db81afbfd37ee25e1710ed11ecb2c2d64ad076fb62a2688dd36a9696ab26b0d7989bf1ecb10da251961a0ee6bb37c4dbd115f70384cd8c9a675d0b2d
+DIST future-0.18.2.tar.gz 829220 BLAKE2B 
68574b589bf54aa8dacbd162a54885589faa32829ccf212f50de5bf036ebd8b9aba0c13e63e80d34e507cc0dae4d8d3d47fea33433b17d2c2e6dbf6c37f66d8f
 SHA512 
91c025f7d94bcdf93df838fab67053165a414fc84e8496f92ecbb910dd55f6b6af5e360bbd051444066880c5a6877e75157bd95e150ead46e5c605930dfc50f2

diff --git a/dev-python/future/future-0.18.2.ebuild 
b/dev-python/future/future-0.18.2.ebuild
new file mode 100644
index 00000000000..0aee1d1a931
--- /dev/null
+++ b/dev-python/future/future-0.18.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
+HOMEPAGE="http://python-future.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+distutils_enable_tests pytest
+
+# TODO: make numpy unconditional when it supports py3.8
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               $(python_gen_any_dep '
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+                       dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+               ' python{2_7,3_{5,6,7}})
+       )
+       test? (
+               $(python_gen_cond_dep 'dev-python/numpy[${PYTHON_USEDEP}]' \
+                       python{2_7,3_{5,6,7}})
+       )
+"
+
+python_check_deps() {
+       use doc || return 0
+       has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+               has_version 
"dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]"
+}
+
+python_prepare_all() {
+       sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+       # tests requiring network access
+       rm tests/test_future/test_requests.py || die
+       sed -i -e 's:test.*request_http:_&:' \
+               tests/test_future/test_standard_library.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build docs/ docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}

Reply via email to